<?php
###############################################################################
# config.check.php
# Watch My Domains SED v3
# (c) Softnik Technologies. All rights reserved.
###############################################################################

if(!file_exists(realpath(dirname(__FILE__) . DIRECTORY_SEPARATOR . "../../config.php")))
{
	require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . "lang/".get_lang_code().".php");	
	$lang = get_language_array();
	$message = "<h3>".$lang['MISSING_CONFIG']."</h3><hr>";
	if(file_exists(realpath(dirname(__FILE__) . DIRECTORY_SEPARATOR . "../../config-sample.php")))
	{
		$message .= "<p>Installation is not complete.</p>";
		$message .= "<p>Please rename config-sample.php to config.php and edit it.</p><br>";
	}
	if(function_exists("show_message"))
		show_message($message);
	else
		echo $message;
	exit;
}

###############################################################################

require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . "lang/".get_lang_code().".php");	
require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . "../../config.php");
	
###############################################################################
?>
